ToolzerHub Docs

Get property details (v1)

Returns a home's description, facts, photos, price and tax history, value estimates, assigned schools, flood risk and floor plans from its link or property ID, including homes not on the market. data is null for an unknown property.

1 credit / requestBilled only on success
GET
/v1/realtor/property

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Query Parameters

property_id_or_url*string

The property_id from a search or Autocomplete result, or the listing's realtor.com link, such as https://www.realtor.com/realestateandhomes-detail/9001-Palmito-Dr_Austin_TX_78717_M98036-85617.

Lengthlength <= 1000
curl -X GET "https://example.com/v1/realtor/property?property_id_or_url=9803685617" \  -H "x-api-key: YOUR_API_KEY"
{  "data": {    "property_id": "9803685617",    "listing_id": "2994737545",    "url": "https://www.realtor.com/realestateandhomes-detail/9001-Palmito-Dr_Austin_TX_78717_M98036-85617",    "status": "for_sale",    "price": 548000,    "price_min": null,    "price_max": null,    "list_date": "2026-05-01T17:09:45Z",    "last_sold_price": null,    "last_sold_date": null,    "hoa_fee": 120,    "beds": 4,    "beds_min": null,    "beds_max": null,    "baths": 2.5,    "baths_full": 2,    "baths_half": 1,    "sqft": 2411,    "sqft_min": null,    "sqft_max": null,    "lot_size": null,    "year_built": 2019,    "property_type": "single_family",    "property_sub_type": null,    "garage": 2,    "stories": 2,    "building_name": null,    "street": "9001 Palmito Dr",    "unit": null,    "city": "Austin",    "state": "TX",    "zip": "78717",    "county": "Williamson",    "neighborhood": null,    "latitude": 30.488,    "longitude": -97.752,    "photo_url": "https://ap.rdcpix.com/af153097d31e593825669cfcdde8f65cl-m2872764933s.jpg",    "photo_count": 38,    "virtual_tour_url": null,    "open_houses": [      {        "start": "2026-11-08T13:00:00",        "end": "2026-11-08T15:00:00"      }    ],    "cats_allowed": null,    "dogs_allowed": null,    "agent_name": "Deborah Maynard",    "broker_name": "Compass RE Texas LLC - Austin",    "mls_name": "UnlockMLS",    "mls_listing_id": "3027030",    "is_new_listing": true,    "is_price_reduced": true,    "is_pending": true,    "is_contingent": true,    "is_foreclosure": true,    "is_new_construction": true,    "is_coming_soon": true,    "description": "string",    "price_per_sqft": 227,    "last_update_date": "2026-11-03T13:05:13Z",    "details": [      {        "group": "Interior",        "category": "Bedrooms",        "items": [          "Bedrooms: 4",          "Primary Bedroom Level: Second"        ]      }    ],    "photos": [      {        "url": "string",        "label": "living_room"      }    ],    "price_history": [      {        "date": "2026-10-14",        "event": "Price Changed",        "price": 548000,        "source": "UnlockMLS"      }    ],    "tax_history": [      {        "year": 2025,        "tax": 9876,        "assessed_land": 0,        "assessed_building": 0,        "assessed_total": 512000      }    ],    "estimates": [      {        "source": "Collateral Analytics",        "value": 544000,        "low": 516800,        "high": 571200,        "date": "2026-10-14",        "is_best": true      }    ],    "schools": [      {        "name": "Elsa England Elementary School",        "distance_miles": 0.4,        "levels": [          "elementary"        ],        "grades": [          "K",          "1",          "2"        ],        "rating": 10,        "funding_type": "public",        "student_count": 987,        "is_assigned": true      }    ],    "flood_factor_score": 1,    "fema_zones": [      "X (unshaded)"    ],    "mortgage_monthly_payment": 4280,    "units": [      {        "name": "1 bed 1 bath",        "beds": 1,        "baths": 0,        "sqft": 540,        "price": 1199,        "available_date": "2026-10-23"      }    ],    "mls_disclaimer": "© 2026, Unlock MLS, All Rights Reserved."  },  "details": {    "reason": "string",    "message": "string"  }}